#ifndef MESSAGE_H
#define MESSAGE_H

typedef unsigned char CHAR;

#define ANSWER_LEN 0x80	//70	// 16+16+16+16+6  
#define REPLY_LEN 0x19    

#define byte_hi byte_1
#define byte_lo byte_0

typedef struct
{
	unsigned char Address;	// Адрес контроллера
	unsigned char Number;	// Номер команды

	BAITE byte0;
	BAITE byte1;
	BAITE byte2;
	BAITE byte3;
	BAITE byte4;
	BAITE byte5;
	BAITE byte6;
	BAITE byte7;

	unsigned char crc_lo;
	unsigned char crc_hi;
	unsigned char add_byte;
} CMD_TO_TMS;

extern int modbus[];  

void ReceiveCommandModbus3(RS_DATA *rs_arr);
void ReceiveCommandModbus6(RS_DATA *rs_arr);  

void Save_params(void);
void Load_params(void);
void Default_params(void);

#endif	//MESSAGE_H
